For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Company From CG
              • GETGet Company Basic Information
              • PUTUpdate Company Basic Information
              • DELDelete Company With Related
              • GETGet BC Order Id List By Company Id
              • GETGet Company By CustomerId
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APICompany

Get BC Order Id List By Company Id

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/orderBCIds
GET
/api/v2/io/companies/:companyId/orderBCIds
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/orderBCIds \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "list": [
5 {
6 "orderId": "1"
7 }
8 ],
9 "pagination": {
10 "limit": 10,
11 "offset": 0,
12 "totalCount": 3
13 }
14 },
15 "message": "Success"
16}
Get bC order ID list by company id
Was this page helpful?
Previous

Delete Company With Related

Next

Get Company By CustomerId

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Query parameters

offsetdoubleOptional

Pagination offset default: 0

limitdoubleOptional

Pagination limit default: 10

beginDateAtstringOptional

End date filter, in format ‘12/31/2019’

endDateAtstringOptional

End date filter, in format ‘12/31/2019’

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error